/*

	This class is the master-dialog class
	
*/

package tr4_textedit;

import java.awt.*;
import java.awt.event.*;
import java.io.*;

import util.*;


public final class MasterDialog extends Frame {
	
	//  Make the open directory and filename persistent
	private String DirName, FileName;
	
	// Open-file routine
	private void OpenFile() {
		FileDialog FD = new FileDialog(this,"Load <language>.DAT file",FileDialog.LOAD);
		FD.setDirectory(DirName);
		FD.setFile(FileName);
		FD.setVisible(true);
		String DirName = FD.getDirectory();
		String FileName = FD.getFile();
		if (FileName == null) return;
		File InFile = new File(DirName,FileName);
		
		InputStream IS;
		TextSet TS;
		
		try {
			IS = (InputStream)new FileInputStream(InFile);
			TS = new TextSet();
			TS.FileName = FileName;
			if (!TextSetIO.Read(this, IS, TS)) return;
			IS.close();
		} catch (Exception X) {
			InfoAlert A =
				new InfoAlert(this, "Open Error for " + FileName, 480,48, X.toString());
			return;
		}
		
		TextSetEditor TSE = new TextSetEditor(this,TS);
	}
	
	// For the Quit warning alert
	private Frame Parent;

	public MasterDialog() {
		setTitle("TR4TextEdit Master Dialog");
		setSize(384,64);
		setResizable(false);
		
		// Hack to get the Quit warning alert to use this frame
		Parent = this;
		
		// Create the menu:
		
		MenuItem OpenItem = new MenuItem("Open...");
		OpenItem.addActionListener(new ActionListener()
			{public void actionPerformed(ActionEvent E) {OpenFile();}}
		);
		
		MenuItem QuitItem = new MenuItem("Quit");
		QuitItem.addActionListener(new ActionListener()
			{public void actionPerformed(ActionEvent E) {
				WarningAlert A = new WarningAlert(Parent,"Warning!",384,72,
					"Really want to quit TR4TextEdit?");
				if (A.If_OK) {
					dispose();
					System.exit(0);
				}
			}}
		);
		
		Menu FileMenu = new Menu("File");
		FileMenu.add(OpenItem);
		FileMenu.add(QuitItem);
		
		MenuBar MB = new MenuBar();
		MB.add(FileMenu);
		setMenuBar(MB);
		
		setLayout(new GridBagLayout());
		add(new Label("TR4TextEdit, an Editor for Tomb Raider 4 Text Sets"));
				
		validate();
		setVisible(true);
	}
};