// This is a dialog box for selecting a location to move a string to

package tr4_textedit;

import java.awt.*;
import java.awt.event.*;

import util.*;

final class StringLocSelector extends Dialog {
	
	boolean DoGoto;
	int Loc;
	
	private Choice DispList;
	
	StringLocSelector(Frame Parent, String Name, String Lbl, String[] LocList) {
		super(Parent,Name,true);
		setSize(384,96);
		setResizable(false);
		
		// The layout
		GridBagLayout L = new GridBagLayout();
		setLayout(L);
		GridBagConstraints C = new GridBagConstraints();
		
		// Padding
		C.insets = new Insets(2,2,2,2);
		
		// The text
		C.anchor = GridBagConstraints.WEST;
		
		C.gridx = 0;
		C.gridy = 0;
		add(new Label(Lbl),C);
				
		DispList = new Choice();
		for (int ic=0; ic<LocList.length; ic++)
			DispList.add((new Integer(ic)).toString() + ": " + LocList[ic]);
		C.gridx = 0;
		C.gridy = 1;
		add(DispList,C);
			
		// The control buttons
		C.anchor = GridBagConstraints.WEST;
		
		DoGoto = false;
		Loc = -1; // Deliberately erroneous value
		
		Button CancelButton = new Button("Cancel");
		CancelButton.addActionListener(new ActionListener()
			{public void actionPerformed(ActionEvent E) {dispose();}}
		);
		
		C.gridwidth = 2;
		C.gridx = 0;
		C.gridy = 2;
		C.anchor = GridBagConstraints.SOUTHWEST;
		add(CancelButton,C);
		
		Button OKButton = new Button("OK");
		OKButton.addActionListener(new ActionListener()
			{public void actionPerformed(ActionEvent E)
				{DoGoto = true; Loc = DispList.getSelectedIndex(); dispose();
			}}
		);
		
		C.gridx = 1;
		C.anchor = GridBagConstraints.SOUTHEAST;
		add(OKButton,C);
		
		validate();
		setVisible(true);
		
		setSize(getPreferredSize());
		validate();
	}
}
