/*

	This contains all the per-level data in the tombpc.dat TR-script data;
	it is organized in this fashion for easier editing.

*/


package tr_script;

import java.util.Vector;

final class LevelData {
	String Name;			// The level name
	String FileName;		// The level file
	boolean IfDemo;			// Is this a demo level?
	String[] KeyNames;		// The names of the keys in this level
	Vector Script;			// The level script
							// (list of shorts stored in Short wrapper objects)
	
	// How many of these items:
	static final int NumKeys = 10;
	
	// Set up:
	LevelData() {KeyNames = new String[NumKeys]; Script = new Vector();}
	
	// Copy constructor:
	LevelData(LevelData LD) {
		KeyNames = new String[NumKeys];
		
		Name = new String(LD.Name);
		FileName = new String(LD.FileName);
		IfDemo = LD.IfDemo;
		for (int ik=0; ik<NumKeys; ik++)
			KeyNames[ik] = new String(LD.KeyNames[ik]);
		Script = new Vector(LD.Script.size());
		for (int ic=0; ic<LD.Script.size(); ic++) {
			Short S = (Short)LD.Script.elementAt(ic);
			Script.addElement(new Short(S.shortValue()));
		}
	}
}
