// This is for toggling bits of a flag set with checkboxes
// Currently, this only supports shorts (16 bits)

package util;

import java.awt.*;
import java.awt.event.*;


public class FlagCheckBoxSet extends Panel {

	public static final int NumCBs = 16;

	private Checkbox[] CheckboxList;
	private short[] MaskList;

	public void SetValue(short NewValue) {
		for (int ic=0; ic<NumCBs; ic++)
			CheckboxList[ic].setState((NewValue & MaskList[ic]) != 0);
	}
	
	public short GetValue() {
		short Value = 0;
		for (int ic=0; ic<NumCBs; ic++)
			if (CheckboxList[ic].getState())
				Value |= MaskList[ic];
		return Value;
	}

	
	public FlagCheckBoxSet(String[] CaptionList, short InitValue) {
		// The checkboxes themselves
		CheckboxList = new Checkbox[NumCBs];
		for (int ic=0; ic<NumCBs; ic++)
			CheckboxList[ic] = new Checkbox(CaptionList[ic]);

		GridLayout L = new GridLayout(NumCBs,1);
		setLayout(L);
		
		for (int ic=0; ic<NumCBs; ic++)
			add(CheckboxList[ic]);
		
		// Little-endian mask order
		MaskList = new short[NumCBs];
		for (int ic=0; ic<NumCBs; ic++)
			MaskList[ic] = (short)(1 << ic);
		
		SetValue(InitValue);		
	}
}