/*
	This is a warning-alert class. It displays a text-string message
	and quits when one presses one of the buttons.
*/


package util;

import java.awt.*;
import java.awt.event.*;


public final class WarningAlert extends Dialog {
	
	// True if "OK" was pressed, false if "Cancel" was pressed
	public boolean If_OK;
	
	// Needs a parent frame
	// Also give the title, the overall size, and the info string
	public WarningAlert(Frame Parent, String Title, int Width, int Height, String Info) {
		super(Parent,Title,true);
		setSize(Width,Height);
		setResizable(false);
		
		GridBagLayout L = new GridBagLayout();
		setLayout(L);
		GridBagConstraints C = new GridBagConstraints();
		
		Label T = new Label(Info);
		
		C.gridy = 0;
		C.gridwidth = 3;
		add(T,C);
		
		Button CancelButton = new Button("Cancel");
		CancelButton.addActionListener(new ActionListener()
			{public void actionPerformed(ActionEvent E) {If_OK = false; dispose();}}
		);
		
		C.gridy = 1;
		C.gridx = 1;
		C.anchor = GridBagConstraints.SOUTHWEST;
		add(CancelButton,C);
		
		Button OKButton = new Button("OK");
		OKButton.addActionListener(new ActionListener()
			{public void actionPerformed(ActionEvent E) {If_OK = true; dispose();}}
		);
		
		C.gridx = 2;
		C.anchor = GridBagConstraints.SOUTHEAST;
		add(OKButton,C);
					
		validate();
		setVisible(true);
		
		setSize(getPreferredSize());
		validate();
	}
}